Description

I'm trying to paste a few features into a postgresql layer that has two attributes that together form the table's primary key. The values of the

attributes are not pasted correctly, although both name and order and type match.

History

#1 - 2019-04-10 05:24 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you please detail the precise steps to replicate (also the sql used to create the table and the PK with the a attributes), thanks!

#2 - 2019-04-10 05:55 PM - Sebastian Brocks

Here's the sql for the table:

CREATE TABLE public.nullpunkt(

    nummer integer NOT NULL,

    bezeichnung varchar(1) NOT NULL,

    geometrie geometry(POINT, 4326),

    CONSTRAINT nullpunkt_pk PRIMARY KEY (nummer,bezeichnung)

);

I have a temporary scratch layer with a few point features with two attributes, one integer of length 10, and one string of length 1.

When I try to paste point featuers into the nullpunkt layer, the attribute values are not pasted correctly. for the first two features that are pasted, the number

is correct, the other features don't have the correct number. the string is incorrect for all.

#3 - 2019-04-10 06:51 PM - Giovanni Manghi

I have a temporary scratch layer with a few point features with two attributes, one integer of length 10, and one string of length 1.

do they have the same name as the postgis table?

#4 - 2019-04-11 09:12 AM - Sebastian Brocks
Yes they do

#5 - 2019-04-11 09:15 AM - Sebastian Brocks

- File paste_error.png added

See the attached picture: "Pasted" contains the features I want to copy into "nullpunkt". What you see in nullpunkt is the result of pasting the features that

are selected in "Pasted" into "nullpunkt"

#6 - 2019-04-11 11:15 PM - Giovanni Manghi

Sebastian Brocks wrote:

See the attached picture: "Pasted" contains the features I want to copy into "nullpunkt". What you see in nullpunkt is the result of pasting the features

that are selected in "Pasted" into "nullpunkt"

I cannot replicate here.
